Imports System.Xml

Public Class Form1

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim doc As New XmlDocument()
        doc.LoadXml( _
            "<?xml version=""1.0"" encoding=""utf-16""?>" & vbCrLf & _
            "<!-- This is an example -->" & vbCrLf & _
            "<AllBooks>" & vbCrLf & _
            "  <Book Title=""Visual Basic 2008 Programmer's Reference"">" & vbCrLf & _
            "    <Price>$39.99</Price>" & vbCrLf & _
            "    <Pages>1248</Pages>" & vbCrLf & _
            "    <URL>http://www.vb-helper.com/vb_prog_ref.htm</URL>" & vbCrLf & _
            "  </Book>" & vbCrLf & _
            "  <Book Title=""Expert One-on-One Visual Basic 2005 Design and Development"">" & vbCrLf & _
            "    <Price>$39.99</Price>" & vbCrLf & _
            "    <Pages>620</Pages>" & vbCrLf & _
            "    <URL>http://www.vb-helper.com/one_on_one.htm</URL>" & vbCrLf & _
            "  </Book>" & vbCrLf & _
            "  <Book Title=""Ready-to-Run Visual Basic Graphics Programming"">" & vbCrLf & _
            "    <Price>$49.99</Price>" & vbCrLf & _
            "    <Pages>712</Pages>" & vbCrLf & _
            "    <URL>http://www.vb-helper.com/vbgp.htm</URL>" & vbCrLf & _
            "  </Book>" & vbCrLf & _
            "</AllBooks>")

        txtOuterXml.Text = doc.OuterXml
        txtOuterXml.Select(0, 0)

        ' Use an XmlTextWriter to format.
        ' Make a StringWriter to hold the result.
        Using sw As New System.IO.StringWriter()
            ' Make the XmlTextWriter to format the XML.
            Using xml_writer As New XmlTextWriter(sw)
                xml_writer.Formatting = Formatting.Indented
                doc.WriteTo(xml_writer)
                xml_writer.Flush()

                ' Display the result.
                txtFormatted.Text = sw.ToString()
            End Using
        End Using
        txtFormatted.Select(0, 0)
    End Sub
End Class
